
/* Mixins
**********************/
@function calculateRem($size) {
	$remSize: $size / 16px;
	@return $remSize * 1rem;
}

@mixin font-size($size) {
	font-size: $size;
	line-height: $size * 1.4;
	font-size: calculateRem($size);
}




@mixin button--primary($bgColor,$fontColor,$bg-hover-color,$bg-active-color){
	background-color: $bgColor;
	display: flex;
	align-items: center;
	justify-content: center;
	border: 0;
	padding: $text-xs $spacer-m;
	border-radius: $spacer-xxs;
	cursor: pointer;
	box-shadow: 1px 1px 4px $blue-light;
	@include font-size($text-s) ;
	line-height: $spacer-s;
	color: $fontColor;
	font-family: $font-core;
	text-align: center;
	i{
		margin-right: $spacer-xxs;
	}
	img{
		margin-right: $spacer-xxs;
	}
	span{
		font-weight: normal;
	}

	&:hover{
		background-color: $bg-hover-color;
		transition-property: background-color;
		transition-duration: 0.4s;
		outline:0;
	}
	&:active{
		background-color: $bg-active-color;
		transition-property: background-color;
		transition-duration: 0.5s;
		outline:0;
	}
	&:focus{
		background-color: $bg-hover-color;
		transition-property: background-color;
		transition-duration: 0.5s;
		outline:0;
	}
}


